/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class CreateRuleActionRequest {
    public name: string;

    public labels: string[];

    public description: string;

    public actionType: string;

    public triggerType: string;

    public code: string;

    public meta: string;

    /**
     * Creates a CreateRuleActionRequest.
     *
     * @param {string} name
     * @param {string} labels
     * @param {string} description
     * @param {string} actionType
     * @param {string} triggerType
     * @param {string} code
     * @param {string} meta
     */
    constructor(name: string, labels: string[], description: string, actionType: string, triggerType: string, code: string, meta: string) {
        this.name = name;
        this.labels = labels;
        this.description = description;
        this.actionType = actionType;
        this.triggerType = triggerType;
        this.code = code;
        this.meta = meta;
    }
}
